/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include <stdint.h>

#define GET_LOW_BYTE(A) (uint8_t)((A))
//Macro function  get lower 8 bits of A
#define GET_HIGH_BYTE(A) (uint8_t)((A) >> 8)
//Macro function  get higher 8 bits of A
#define BYTE_TO_HW(A, B) ((((uint16_t)(A)) << 8) | (uint8_t)(B))
//put A as higher 8 bits   B as lower 8 bits   which amalgamated into 16 bits integer

#define LOBOT_SERVO_FRAME_HEADER         0x55
#define LOBOT_SERVO_MOVE_TIME_WRITE      1
#define LOBOT_SERVO_MOVE_TIME_READ       2
#define LOBOT_SERVO_MOVE_TIME_WAIT_WRITE 7
#define LOBOT_SERVO_MOVE_TIME_WAIT_READ  8
#define LOBOT_SERVO_MOVE_START           11
#define LOBOT_SERVO_MOVE_STOP            12
#define LOBOT_SERVO_ID_WRITE             13
#define LOBOT_SERVO_ID_READ              14
#define LOBOT_SERVO_ANGLE_OFFSET_ADJUST  17
#define LOBOT_SERVO_ANGLE_OFFSET_WRITE   18
#define LOBOT_SERVO_ANGLE_OFFSET_READ    19
#define LOBOT_SERVO_ANGLE_LIMIT_WRITE    20
#define LOBOT_SERVO_ANGLE_LIMIT_READ     21
#define LOBOT_SERVO_VIN_LIMIT_WRITE      22
#define LOBOT_SERVO_VIN_LIMIT_READ       23
#define LOBOT_SERVO_TEMP_MAX_LIMIT_WRITE 24
#define LOBOT_SERVO_TEMP_MAX_LIMIT_READ  25
#define LOBOT_SERVO_TEMP_READ            26
#define LOBOT_SERVO_VIN_READ             27
#define LOBOT_SERVO_POS_READ             28
#define LOBOT_SERVO_OR_MOTOR_MODE_WRITE  29
#define LOBOT_SERVO_OR_MOTOR_MODE_READ   30
#define LOBOT_SERVO_LOAD_OR_UNLOAD_WRITE 31
#define LOBOT_SERVO_LOAD_OR_UNLOAD_READ  32
#define LOBOT_SERVO_LED_CTRL_WRITE       33
#define LOBOT_SERVO_LED_CTRL_READ        34
#define LOBOT_SERVO_LED_ERROR_WRITE      35
#define LOBOT_SERVO_LED_ERROR_READ       36

#define PEN_UP_ANGLE    500
#define PEN_DOWN_ANGLE  300

#define SERVO_A_ID      2
#define SERVO_B_ID      1
#define PEN_SERVO_ID    3

#define SERVO_MIN_VAL 0
#define SERVO_MAX_VAL 1000

#define PEN_SERVO_SPEED 0 // fast as possible

#define PI 3.14159
#define SERVO_A_MIN_ANGLE -30.0
#define SERVO_A_MIN_RAD (SERVO_A_MIN_ANGLE * PI / 180.0)
#define SERVO_A_MAX_ANGLE 210.0
#define SERVO_A_MAX_RAD (SERVO_A_MAX_ANGLE * PI / 180.0)
#define SERVO_A_INIT 90.0

#define SERVO_B_MIN_ANGLE -30.0
#define SERVO_B_MIN_RAD (SERVO_B_MIN_ANGLE * PI / 180.0)
#define SERVO_B_MAX_ANGLE 210.0
#define SERVO_B_MAX_RAD (SERVO_B_MAX_ANGLE * PI / 180.0)
#define SERVO_B_INIT 90.0



/*

                  + ++++++++++++L2++++ +
                  +        +
                  C        L1
                  +        +
                  +        +
                  +++ B +++O
                  



*/


#define L1 75
#define L2 75
#define SERVO_ARM_CLEAR_ANG 0.0872664626 // 5 degrees


#define PEN_MIN_X 40 // The pen must stay away from the machine to the right
#define X_PEN_INIT 50
#define Y_PEN_INIT 50


uint8_t BusServoBufffer[20];
short exec_pen_move; // flag to show lcd_status

void pen_Move_isr();
void initBusServo();
void SetServoAngleA(float angle);
void SetServoAngleB(float angle);
void SetPenServoUp(int up);
int law_of_cosines(float Px, float Py, float z);
void BusServoUpdate();



uint8_t LobotCheckSum(uint8_t buf[]);
void LobotSerialServoMove(uint8_t id, int16_t position, uint16_t time);
long map(long x, long in_min, long in_max, long out_min, long out_max);

/* [] END OF FILE */
