/* ========================================
 *
 * Barton Dring
 * Line-us clone servo kinematics and control
 * Open Source CCSA 3.0 
 *  2/2017
 *
 * ========================================
*/

//#define LINE_US_DEBUG

//#define SERVOMIN_A  1500
//#define SERVOMAX_A  5000 

#define SERVOMIN_A  1850
#define SERVOMAX_A  4200

#define SERVO_A_MIN_ANGLE -45
#define SERVO_A_MIN_RAD -0.7853981634
#define SERVO_A_MAX_ANGLE 135
#define SERVO_A_MAX_RAD 2.35619449
#define SERVO_A_INIT 90
// degrees



//#define SERVOMIN_B  1400 // this is the 'minimum' pulse length count (out of 4096)
//#define SERVOMAX_B  4900 // this is the 'maximum' pulse length count (out of 4096)

#define SERVOMIN_B  1650 // this is the 'minimum' pulse length count (out of 4096)
#define SERVOMAX_B  4200 // this is the 'maximum' pulse length count (out of 4096)

#define SERVO_B_MIN_ANGLE 45
#define SERVO_B_MIN_RAD 0.7853981634
#define SERVO_B_MAX_ANGLE 225
#define SERVO_B_MAX_RAD 3.926990817
#define SERVO_B_INIT 180 // degree

#define SERVO_ARM_CLEAR_ANG 0.0872664626 // 5 degrees

#define SERVO_Z_DOWN  2750 // this is the 'minimum' pulse length count (out of 4096)
#define SERVO_Z_UP  1400 // this is the 'maximum' pulse length count (out of 4096)


#define PEN_ARM_A_LEN  50  // length in mm
#define PEN_ARM_LEN  80 // length in mm

#define LONG_CRANK 50 // length in mm
#define LINKAGE_LEN 50 // length in mm

#define SHORT_CRANK_LEN 30 // length in mm

#define INTSECS_FOUND 0 
#define ERROR_CIRCLES_DONT_INTSEC 1
#define ERROR_NESTED_CIRCLES 2 // circles are inside each other

#define PEN_MIN_X 25 // what is the minimum safe X location to avoid hitting base
#define X_PEN_INIT 50
#define Y_PEN_INIT 50

#define L1 50
#define L2 50

typedef struct {
  float x;          // Desired feed rate for line motion. Value is ignored, if rapid motion.
  float y;      // Desired spindle speed through line motion.  
} point;

short exec_pen_move; // flag to show lcd_status

int law_of_cosines(float Px, float Py, float z);
void setAngleA_rad(float angle);
void setAngleB_rad(float angle);

void pen_Move_isr();
void lineUsUpdate();
void initLineUs();

void setPenUp(int up);



/* [] END OF FILE */
